This operation provides support for retrieving all the workflows accessible to the current user, determined via the applied request authorization. This operation supports filtering and sorting of workflows based on the provided search criteria. By default this call will return a maximum of 50 sorted in descending order by the workflow’s start time.
The caller can define other limits suited to their application (see the limit query
parameter), but the limit cannot be higher than 50. To ask for the next set of items
pass the value of the cursor provided in the response to the cursor query parameter.
A response containing a potentially paginated list of workflows.
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "items": [
- {
- "workflowInstanceId": "string",
- "workflowModel": "string",
- "state": "RUNNING",
- "initiator": "string",
- "requestedBy": "string",
- "start": "2019-08-24T14:15:22Z",
- "end": "2019-08-24T14:15:22Z",
- "payload": [
- "string"
], - "comment": "string",
- "type": "publish-fragments"
}
], - "cursor": "string"
}This operation starts an AEM workflow related to Content Fragments. The following type of operations are available:
Request parameters to start a workflow.
OK
Bad Request. The Problem Details object will provide more information about the exact cause.
Forbidden. Indicates that the server understood the request but refuses to fulfil it.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Conflict. Indicates that the request could not be completed due to a conflict with the current state of the target resource.
Content Too Large. Indicates that the server is refusing to process a request because the request content is larger than the server is willing or able to process.
Unsupported Media Type. Indicates that the origin server is refusing to service the request because the content is in a format not supported by this method on the target resource.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "type": "publish-folder",
- "workflowModelId": "/etc/workflow/models/scheduled_tree_activation",
- "workflowTitle": "string",
- "agentId": "publish",
- "scheduledTime": 0,
- "folderPath": "string",
- "excludeSubFolders": false,
- "filterReferencesByStatus": [
- "DRAFT"
], - "validateReferences": false
}{- "type": "publish-folder",
- "workflowInstanceId": "string"
}OK
Bad Request. Indicates that the server cannot or will not process the request due to something that is perceived to be a client error. The Problem Details object will provide more information about the exact cause.
Not Found. Indicates that the origin server did not find a current representation for the target resource or is not willing to disclose that one exists.
Not Acceptable. Indicates that the target resource does not have a current representation that would be acceptable to the user agent, according to the proactive negotiation header fields received in the request.
Internal Server Error. Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
{- "workflowInstanceId": "string",
- "workflowModel": "string",
- "state": "RUNNING",
- "initiator": "string",
- "requestedBy": "string",
- "start": "2019-08-24T14:15:22Z",
- "end": "2019-08-24T14:15:22Z",
- "payload": [
- "string"
], - "comment": "string",
- "type": "publish-fragments",
- "invalidFragments": [
- {
- "fragmentPath": "string",
- "invalidReferences": [
- "string"
]
}
]
}